CAN_CREL_Type Union Reference

## Data Fields

struct {
uint32_t __pad0__:20
uint32_t SUBSTEP:4
uint32_t STEP:4
uint32_t REL:4
} | bit
uint32_t | reg

## Detailed Description

Definition at line 44 of file can.h.

## Field Documentation

## __pad0__

uint32_t CAN_CREL_Type::__pad0__

bit: 0..19 Reserved

Definition at line 46 of file can.h.

## bit

struct { ... } CAN_CREL_Type::bit

Structure used for bit access

## reg

uint32_t CAN_CREL_Type::reg

Type used for register access

Definition at line 51 of file can.h.

## REL

uint32_t CAN_CREL_Type::REL

bit: 28..31 Core Release

Definition at line 49 of file can.h.

## STEP

uint32_t CAN_CREL_Type::STEP

bit: 24..27 Step of Core Release

Definition at line 48 of file can.h.

## SUBSTEP

uint32_t CAN_CREL_Type::SUBSTEP

bit: 20..23 Sub-step of Core Release

Definition at line 47 of file can.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/can.h